//
//  RSASH1Impl.h
//  rsa-sh1-demo
//
//  Created by slg on 14-11-24.
//  Copyright (c) 2014年 slg. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface RSASH1Impl : NSObject

/**
 *  将数据进行签名
 *
 *  @param string
 *
 *  @return
 */
- (NSString *)signString:(NSString *)string;
/**
 *  将服务端返回的数据进行验签
 *
 *  @param string     按照规则排序后的数据
 *  @param signString signData
 *
 *  @return
 */
- (BOOL)verifyString:(NSString *)string withSign:(NSString *)signString;

@end
